ticket.created

Triggered when a ticket is created for an event booking

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

Example Payload

Path Parameters

{
  "path": {},
  "cookie": {},
  "header": {},
  "query": {},
  "method": "POST",
  "bodyMediaType": "application/json",
  "body": {
    "seller_id": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "event_id": "string",
    "event": "ticket.created",
    "data": {
      "ticket": {
        "id": "string",
        "seller": "string",
        "charge": "string",
        "orderId": "string",
        "page": "string",
        "ticketType": "string",
        "originalPrice": 0,
        "discountAmount": 0,
        "feeAmount": 0,
        "taxAmount": 0,
        "couponAmount": 0,
        "revenue": 0,
        "customer": "string",
        "ticketShortId": "string",
        "status": "PAID",
        "checkIns": [
          {
            "status": "UNCHECKEDIN",
            "method": "QRSCAN",
            "checkedInBy": "string",
            "checkedInAt": "2019-08-24T14:15:22Z"
          }
        ],
        "customerEmail": "string",
        "orderedAt": "2019-08-24T14:15:22Z",
        "metadata": [
          {
            "key": "string",
            "value": "string",
            "addedAt": "2019-08-24T14:15:22Z"
          }
        ],
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    }
  }
}